<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="MODULES-HEAD-EDIT">
        <script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/guestbook.js'></script>
</xsl:template>

<xsl:template name="MODULES-FIRST-TAG-EDIT"></xsl:template>

<xsl:template name="MODULES-BODY-EDIT">
    <xsl:for-each select="/*/CONTENT-AREA/REPCSS">
	    <style type="text/css">@import url(<xsl:value-of select="$baseURL"/><xsl:apply-templates select="//CONTENT-AREA/BASEURL"/><xsl:value-of select="@NAME"/>);</style>
	</xsl:for-each>

	<script language="javascript">
		<xsl:choose>
			<xsl:when test="//JAVA"><xsl:value-of select='//JAVA'/>
			</xsl:when>
		</xsl:choose>
 	</script>
	
	<xsl:apply-templates select="//GUI-TABPANEL"/>
</xsl:template>

<xsl:template match="GUESTBOOKEDIT">
    <xsl:apply-templates select="GUI-FORM"/>
</xsl:template>

<xsl:template match="SHORT-HELP-LIST/CONTROL-SHORT-HELP">
      <td width="10"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></td>
      <td align="center" height="100%" style="background: url('{$baseURL}/skins/{$sb_skin}/images/blue.gif');" width="5"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
      <td valign="top" width="30%" class="SB_Style_genpages"><p align="justify"><xsl:value-of select="."/></p></td>
</xsl:template>

<xsl:template match="TEMPLATES-LIST">
   <table height="90" width="100%" border="0">
      <tr>
         <td> <xsl:apply-templates/> </td>
      </tr>
   </table>
</xsl:template>

<xsl:template match="TEMPLATES-LIST-ITEM">
   <div style="float:left;  width: 100px; align: center; vertical-align: middle; padding-right: 10px; padding-top: 0px;">
       <img width="100px" height="90px" onclick="select_img(this.name);">
              <xsl:attribute name='name'><xsl:value-of select="IMAGE/@NAME"/></xsl:attribute>  
              <xsl:attribute name='src'><xsl:value-of select="IMAGE/@URL"/></xsl:attribute>
              <xsl:attribute name='style'><xsl:value-of select="IMAGE/@STYLE"/></xsl:attribute>
       </img>  
   </div>
</xsl:template>

<xsl:template match="GUESTBOOKPROPERTY">
  <xsl:apply-templates select="GUI-FORM"/>
</xsl:template>

<xsl:template match="GUESTBOOKPREVIEW">
<xsl:apply-templates select="GUI-FORM"/>

<link rel="stylesheet" type="text/css">
	<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
</link>

<div id="m_votes_div" name="m_votes_div" style="border-style: solid; border-color: #8494A0; background-color: #ffffff; border-width: 1px; height: 320px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto; float: left;"></div>
<script type="text/javascript" language="javascript">
      doPreviewModulesBild('<xsl:apply-templates select="//CONTA" />','<xsl:apply-templates select="//CONTV" />', __base__URL+'<xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>');
</script>
</xsl:template>
</xsl:stylesheet>