<?php
    require_once 'db.php';
    
    class Guestbook
    {
         var $content;
         var $name_template;
         var $path_template;
         var $session_id;

         var $db;

         function Guestbook($sess_id, $mass_settings)
         {
            $this->db = new guestbook_db($mass_settings);

            $this->array_defines_text =
                array(
                      'USER_NAME_FORM' => USER_NAME_FORM,
                      'USER_EMAIL_FORM' => USER_EMAIL_FORM,
                      'USER_HOMEPAGE_FORM' => USER_HOMEPAGE_FORM,
                      'USER_COMMENTS' => USER_COMMENTS,
                      'SEND' =>  SEND_FORM_GUESTBOOK,
                      'CLEAR' => CLEAR_FORM_GUESTBOOK,
                      'SAVE' =>  SAVE_FORM_GUESTBOOK,
                      'alert_wrong_name'     => alert_wrong_name,
                      'alert_wrong_comments' => alert_wrong_comments,
                      'alert_wrong_email'    => alert_wrong_email,
                      'alert_wrong_homepage' => alert_wrong_homepage,
                      'alert_wrong_symbol'   => alert_wrong_symbol,
                      'confirm_del'   => confirm_del,

                      'list_message' =>'',
                      'Page' => '',

                      'width'  => $mass_settings['width_module'],
                      'css'    => $mass_settings['css_file'],
                      'mod_id' => $mass_settings['module_id'],
                      'count_mess' => $mass_settings['count_mess'],
                      'guestbook_edit' => guestbook_edit,
                      'guestbook_delete' => guestbook_delete,
                      '' => ''
                  );
                  
             $this->content='';
             $this->path_template='templates/';
             $this->session_id = $sess_id;
         }

         function head($mass_vars)
         {
            $this->name_template='show_mess.tmpl';
            switch($mass_vars['action'])
            {
               case 'edit_mess':
                    $this->edit($mass_vars['user_id'], $mass_vars['user_name'], $mass_vars['comments'], $mass_vars['homepage'], $mass_vars['email']);
                    break;

               case 'del_mess':
                    $this->delMess($mass_vars['user_id']);
                    break;

               case 'add_mess':
                    $this->addMess($mass_vars['user_name'],$mass_vars['comments'],$mass_vars['homepage'],$mass_vars['email']);
                    break;
            }

            $this->getMessage($mass_vars['page']);
            $this->getPage($mass_vars['page']);
            $this->tmpl();
         }

         function show()
         {
            echo $this->content;
         }


         function getMessage($page_number)
         {
            $begin = ($page_number-1)*$this->array_defines_text['count_mess'];
            $end   = $page_number*$this->array_defines_text['count_mess'];
            
            $mass = $this->db->getAllMess();
            $len   = sizeof($mass);

            if($begin>=$len && $page_number!=1){
                $page_number--;
                $begin = ($page_number-1)*$this->array_defines_text['count_mess'];
                $end = $page_number*$this->array_defines_text['count_mess'];
            }

            for($i=$begin ; $i<$end && $i<$len; $i++)
            {
                  $mass[$i][0] = intval($mass[$i][0]);
                  $this->array_defines_text['list_message'].=
                      '<tr class="tr_content">
                       <td width="25%" valign="top" class="td_r_b"> <span class="name">'.$mass[$i][1].'</span>
                       <br>
                           <a href="'.(stristr($mass[$i][2], 'http://') ? '' : 'http://').$mass[$i][2].'" target="_blank" class="homepage">'.$mass[$i][2].'</a>
                       <br>

                       <a href="mailto:'.$mass[$i][3].'" target="_blank" class="email">'.$mass[$i][3].'</a>
                       <br><br>
                                <span class="data">
                                     '.date("Y-m-d",intval($mass[$i][4])).'
                                        <br>
                                     '.date("H:i:s",intval($mass[$i][4])).'
                                 </span><br>
                       </td>
                       <td width="75%"  valign="top" class="td_b">
                          <table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
                             <tr>
                                <td align="right" valign="top" width="100%">';
                                       if($this->session_id==$mass[$i][6])
                                            $this->array_defines_text['list_message'].='<a href="#" class="edit_delete_page" onclick="edit_mess(\''.$mass[$i][0].'\',\''.checkString_guestbook($mass[$i][1]).'\',\''.$mass[$i][2].'\',\''.$mass[$i][3].'\',\''.checkString_guestbook($mass[$i][5]).'\'); return false;">'.$this->array_defines_text['guestbook_edit'].'</a>&nbsp;&nbsp;<a href="#" class="edit_delete_page" onclick="del_mess('.$mass[$i][0].','.$page_number.'); return false;">'.$this->array_defines_text['guestbook_delete'].'</a>';

                               $this->array_defines_text["list_message"].=
                                         '</td>
                                     </tr>
                                     <tr>
                                       <td width="100%"><span class="comments">'.$mass[$i][5].'</span></td>
                                     </tr>
                                   </table>
                             </td>
                         </tr>';
             }
         }

         function getPage($page)
         {
             $page = intval($page);

             $count = $this->db->getCountElements();

             $kol_page = $count/$this->array_defines_text["count_mess"];
             if($kol_page<intval($count/$this->array_defines_text["count_mess"]))
                $kol_page = $kol_page -1;
             else if($kol_page>intval($count/$this->array_defines_text["count_mess"]))
                $kol_page = $kol_page + 1;

             for($i=1; $i<=$kol_page; $i++)
             {
                  if($i==$page)
                     $this->array_defines_text["Page"].= "<span class='palka'>|<span class='current_page'>".$i."</span>|</span> ";
                  else
                     $this->array_defines_text["Page"].= "<span class='palka'>|<a href='#' onclick='setPage(".$i."); return false;' class='page'>".$i."</a>|</span> ";
             }
         }


         function addMess($name, $comments, $homepage, $email)
         {
              srand($this->make_seed());
              $randval = rand();
              $mess = $randval.':::'.$name.':::'.$homepage.':::'.$email.':::'.time().':::'.$comments.':::'.$this->session_id.":::\n";
              $this->db->addMess($mess);
         }

         function delMess($user_id)
         {
             $this->db->delMess($user_id);
         }

         function edit($user_id, $user_name, $comments, $homepage, $email)
         {
             $this->db->editMess($user_id, $user_name, $comments, $homepage, $email);
         }

         function make_seed()
         {
             list($usec, $sec) = explode(' ', microtime());
             return (float) $sec + ((float) $usec * 100000);
         }


         function tmpl()
         {
           if(!is_readable($this->path_template.$this->name_template))
              echo 'error';
           $b=implode('',file($this->path_template.$this->name_template));

           foreach($this->array_defines_text as $k => $v) {
               $b=str_replace("{\$".$k."}",$v,$b);
           }
           $this->content.=$b;
         }
         
         function CloseDb()
         {
         	$this->db->close_db();
         }
}
?>
